'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _light = require('react-syntax-highlighter/light');

var _light2 = _interopRequireDefault(_light);

var _styledComponents = require('styled-components');

var _supportedLanguages = require('./supportedLanguages');

var _themeBuilder = require('./themes/themeBuilder');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Code = function (_PureComponent) {
  (0, _inherits3.default)(Code, _PureComponent);

  function Code() {
    (0, _classCallCheck3.default)(this, Code);
    return (0, _possibleConstructorReturn3.default)(this, (Code.__proto__ || (0, _getPrototypeOf2.default)(Code)).apply(this, arguments));
  }

  (0, _createClass3.default)(Code, [{
    key: 'render',
    value: function render() {
      var _applyTheme = (0, _themeBuilder.applyTheme)(this.props.theme),
          inlineCodeStyle = _applyTheme.inlineCodeStyle;

      var props = {
        language: (0, _supportedLanguages.normalizeLanguage)(this.props.language),
        PreTag: 'span',
        style: inlineCodeStyle,
        showLineNumbers: false
      };
      return _react2.default.createElement(
        _light2.default,
        props,
        this.props.text
      );
    }
  }]);
  return Code;
}(_react.PureComponent);

Code.defaultProps = {
  language: '',
  theme: {}
};
exports.default = (0, _styledComponents.withTheme)(Code);